Name:           homebank
Version:        5.1.4
Release:        %mkrel 1
Summary:        Free easy personal accounting for all

Group:          Office/Finance
License:        GPLv2+
URL:            http://homebank.free.fr
Source0:        http://homebank.free.fr/public/%{name}-%{version}.tar.gz
Patch0:         desktop.patch
Patch1:         homebank-fix-desktop-keywords.patch

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  perl-XML-Parser
BuildRequires:  pkgconfig(atk)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(libofx)
BuildRequires:  pkgconfig(libsoup-2.4)

%description
HomeBank is the free software you have always wanted to manage your personal
accounts at home. The main concept is to be light, simple and very easy to use.
It brings you many features that allows you to analyze your finances in a
detailed way instantly and dynamically with powerful report tools based on
filtering and graphical charts.

%prep
%autosetup -p1

%build
%configure2_5x
%make_build

%install
%make_install INSTALL='install -p'

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README doc/TODO
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/application-registry/%{name}.applications
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime-info/%{name}.*
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Wed Apr 26 2017 akien <akien> 5.1.4-1.mga6
+ Revision: 1097413
- Version 5.1.4

* Wed Jan 25 2017 sander85 <sander85> 5.1.3-1.mga6
+ Revision: 1083444
- New version: 5.1.3

* Sat Nov 12 2016 akien <akien> 5.1.1-1.mga6
+ Revision: 1066888
- Version 5.1.1

* Sat Aug 06 2016 sander85 <sander85> 5.0.9-2.mga6
+ Revision: 1044845
- Fix bogus .desktop file translations
- New version: 5.0.9

* Sat May 21 2016 sander85 <sander85> 5.0.8-1.mga6
+ Revision: 1017398
- New version: 5.0.8

* Mon May 09 2016 sander85 <sander85> 5.0.7-2.mga6
+ Revision: 1011572
- Fix .desktop file translations
- New version: 5.0.7

* Mon May 02 2016 zezinho <zezinho> 5.0.6-3.mga6
+ Revision: 1008566
- rebuild against libofx 0.9.10

* Wed Jan 13 2016 akien <akien> 5.0.6-2.mga6
+ Revision: 922415
- Rebuild for fixed desktop file

  + sander85 <sander85>
    - New version: 5.0.6

* Fri Jun 26 2015 sander85 <sander85> 5.0.3-1.mga6
+ Revision: 844695
- New version: 5.0.3

* Wed Oct 15 2014 umeabot <umeabot> 4.6.3-3.mga5
+ Revision: 743936
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.6.3-2.mga5
+ Revision: 680157
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 sander85 <sander85> 4.6.3-1.mga5
+ Revision: 661515
- New version: 4.6.3

* Mon Jul 28 2014 sander85 <sander85> 4.6.2-1.mga5
+ Revision: 657708
- New version: 4.6.2
- Convert to %%autosetup

* Fri Jun 27 2014 sander85 <sander85> 4.6.1-1.mga5
+ Revision: 640366
- New version: 4.6.1

* Tue Jun 24 2014 sander85 <sander85> 4.6-1.mga5
+ Revision: 639272
- New version: 4.6

* Mon Mar 10 2014 sander85 <sander85> 4.5.6-1.mga5
+ Revision: 601875
- New version: 4.5.6

* Wed Feb 05 2014 sander85 <sander85> 4.5.5-1.mga5
+ Revision: 583344
- New version: 4.5.5

* Sun Dec 15 2013 tv <tv> 4.5.4-3.mga4
+ Revision: 557067
- rebuild for new libofx

* Mon Oct 21 2013 umeabot <umeabot> 4.5.4-2.mga4
+ Revision: 538414
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 4.5.4-1.mga4
+ Revision: 489576
- New version: 4.5.4

* Fri Aug 16 2013 sander85 <sander85> 4.5.2-1.mga4
+ Revision: 466945
- New version: 4.5.2

* Sat Aug 03 2013 sander85 <sander85> 4.5.1-1.mga4
+ Revision: 463039
- New version: 4.5.1

* Sat Jul 06 2013 sander85 <sander85> 4.5-2.mga4
+ Revision: 450756
- Fix segfault on x86_64

* Sun Jun 02 2013 sander85 <sander85> 4.5-1.mga4
+ Revision: 434567
- New version: 4.5

* Sat Jan 12 2013 umeabot <umeabot> 4.4-3.mga3
+ Revision: 353274
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 barjac <barjac> 4.4-2.mga3
+ Revision: 344921
- update group
- clean spec

* Mon Apr 18 2011 dams <dams> 4.4-1.mga2
+ Revision: 87734
- Update to 4.4

* Fri Feb 25 2011 ennael <ennael> 4.3-1.mga1
+ Revision: 59172
- imported package homebank

